Jump to content
The simFlight Network Forums

Updating / Upgrading FSUIPC


Recommended Posts

Hi Everyone,

I have a query which is probably very obvious to everyone else however, I wonder if anyone would mind advising me

I am currently running FSX Delux plus 737 PIC, when I installed PIC it was necessary to install FSUIPC, it was early 2010 and I believe the installed version was 4.57, it was the basic free version.

My operating system is 32 bit Vista.

I am about to add a CH yoke and feel now is the time to upgrade to the full FSUIPC version, if I just run the installer and register the version I currently have installed will it auto update or do I need to download, install and register the newest available version?

If the latter is the case do just I install the new version over the old or do I have the remove the old first?

If I have to remove the existing to install the new are there any special procedures to follow?

I realize that this probably basic stuff but I am not very good with computers so any advice would be appreciated.

Thank you

Don

Link to comment
Share on other sites

I am currently running FSX Delux plus 737 PIC, when I installed PIC it was necessary to install FSUIPC, it was early 2010 and I believe the installed version was 4.57, it was the basic free version.

FSUIPC is the same whether free or paid for. Buying a registration merely unlocks all the User facilities, as documented in the user guide.

Version 4.57 is out of date and unsupported. You need to download 4.60 at least.

I am about to add a CH yoke and feel now is the time to upgrade to the full FSUIPC version, if I just run the installer and register the version I currently have installed will it auto update or do I need to download, install and register the newest available version?

you should always install the latest because old ones are not supported. additionally, version 4.57 probably won't accept a new registration.

If the latter is the case do just I install the new version over the old or do I have the remove the old first?

Just run the installer, follow the instructions in the Installation guide.

Regards

Pete

Link to comment
Share on other sites

FSUIPC is the same whether free or paid for. Buying a registration merely unlocks all the User facilities, as documented in the user guide.

Version 4.57 is out of date and unsupported. You need to download 4.60 at least.

you should always install the latest because old ones are not supported. additionally, version 4.57 probably won't accept a new registration.

Just run the installer, follow the instructions in the Installation guide.

Regards

Pete

Thank you for your help

Don

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. Guidelines Privacy Policy We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.